ndiswrapper 1.60-6 ADT test failure with linux 5.0.0-1.2

Bug #1813063 reported by Seth Forshee
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ndiswrapper (Ubuntu)
Fix Released
Undecided
Unassigned
Bionic
Fix Released
Medium
Connor Kuehl

Bug Description

NOTE: This SRU template was added 2019-05-10 after the original report was opened and was fixed for Disco. I'm adding this because this problem is affecting the Bionic HWE Edge kernel this SRU cycle. -connork

[Impact]

 * The DKMS package fails to install on kernels based on 5.0; specifically noticed in the Bionic HWE Edge kernel.

[The Problem]
This module uses the "do_gettimeofday" API which has been deprecated and removed from the 5.0 kernels. As a result, on a 5.0 kernel, the module will not compile successfully during installation since it depends on symbols that are no longer there.

[Proposed Fix]
Backport the following patch which has already landed in Disco's version of this package to support the 5.0 kernels: https://salsa.debian.org/jak/ndiswrapper/commit/f4502d63e8731b20b436a1266e96c5416e02a3af

[Test Case]
 * Install the ndiswrapper-dkms package with a 5.0 kernel. The package should install without any errors.

[Testing]

These instructions were followed using the .debdiff in comment #5

- Create an Ubuntu 18.04 VM
- Install the HWE Edge kernel from -proposed (or one can find .debs here: https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa/+packages?field.name_filter=linux-hwe-edge&field.status_filter=published&field.series_filter=bionic)
- Install ndiswrapper; you can use apt ("sudo apt update" "sudo apt install ndiswrapper-dkms") or you can use "pull-lp-source ndiswrapper bionic" to build and install the .deb from that
- Confirm that installation fails
- Remove it "sudo apt remove ndiswrapper-dkms"
- If you haven't already: "pull-lp-source ndiswrapper bionic"
- Apply the debdiff ("debdiff-apply < ../ndiswrapper_1.60-6ubuntu0.1.debdiff")
- Build the package ("debuild -us -uc")
- Install the package
- Verify it installs successfully! ("sudo dkms status")

[Regression Potential]

 * Low. Changes are conditionally compiled based on the kernel being >= 5.0. These changes have also been in Disco.

Testing failed on:
    amd64: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-disco-canonical-kernel-team-unstable/disco/amd64/n/ndiswrapper/20190123_164111_540fe@/log.gz
    i386: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-disco-canonical-kernel-team-unstable/disco/i386/n/ndiswrapper/20190123_172043_540fe@/log.gz

Seth Forshee (sforshee)
tags: added: kernel-adt-failure
Revision history for this message
Julian Andres Klode (juliank) wrote :

The bug you filed does not include any build log. I have however built the driver locally against 5.0-rc3 and the change needed was do_gettimeofday -> ktime_get_real().

Changed in ndiswrapper (Ubuntu):
status: New → Fix Committed
Revision history for this message
Julian Andres Klode (juliank) wrote :

Fix in https://salsa.debian.org/jak/ndiswrapper/commit/f4502d63e8731b20b436a1266e96c5416e02a3af, just uploaded to Debian, should sync later, and then we can SRU it (just no change rebuilds for cosmic and bionic, and for xenial, importing the patch).

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ndiswrapper - 1.60-8

---------------
ndiswrapper (1.60-8) unstable; urgency=medium

  * debian/rules: Pass --sort=name to tar for reproducible build

 -- Julian Andres Klode <email address hidden> Sat, 26 Jan 2019 09:28:54 +0100

Changed in ndiswrapper (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Seth Forshee (sforshee) wrote :

Thanks! I report these bugs with a script, it seems something broke recently wrt grabbing the dkms build logs from failed ADT tests. I'll try to get this fixed for next time.

Revision history for this message
Connor Kuehl (connork) wrote :

We're experiencing this same failure on the ADT for Bionic HWE Edge.

    amd64: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-bionic/bionic/amd64/n/ndiswrapper/20190429_215058_13cbf@/log.gz

    i386: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-bionic/bionic/i386/n/ndiswrapper/20190429_215154_13cbf@/log.gz

To fix this, I backported the patch that landed in Disco from comment #2. No context changes were required.

I've attached the debdiff to this comment.

Testing:

- Create an Ubuntu 18.04 VM
- Install the HWE Edge kernel from -proposed (one can find .debs here: https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa/+packages?field.name_filter=linux-hwe-edge&field.status_filter=published&field.series_filter=bionic)
- Install ndiswrapper; you can use apt ("sudo apt update" "sudo apt install ndiswrapper-dkms") or you can use "pull-lp-source ndiswrapper bionic" to build and install the .deb from that
- Confirm that installation fails
- Remove it "sudo apt remove ndiswrapper-dkms"
- If you haven't already: "pull-lp-source ndiswrapper bionic"
- Apply the debdiff ("debdiff-apply < ../ndiswrapper_1.60-6ubuntu0.1.debdiff")
- Build the package ("debuild -us -uc")
- Install the package
- Verify it installs successfully! ("sudo dkms status")

Connor Kuehl (connork)
description: updated
description: updated
Revision history for this message
Brian Murray (brian-murray) wrote : Please test proposed package

Hello Seth, or anyone else affected,

Accepted ndiswrapper into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ndiswrapper/1.60-6ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ndiswrapper (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Revision history for this message
Connor Kuehl (connork) wrote :

The version of this package that is in -proposed builds and installs correctly on 4.15 and 5.0 kernels in Bionic. Adjusting tag.

Changed in ndiswrapper (Ubuntu Bionic):
importance: Undecided → Medium
assignee: nobody → Connor Kuehl (connork)
tags: added: verification-done-bionic
removed: verification-needed-bionic
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ndiswrapper - 1.60-6ubuntu0.1

---------------
ndiswrapper (1.60-6ubuntu0.1) bionic; urgency=medium

  * Fix build for 5.0 (LP: #1813063)

 -- Connor Kuehl <email address hidden> Thu, 09 May 2019 14:40:40 -0700

Changed in ndiswrapper (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Chris Halse Rogers (raof) wrote : Update Released

The verification of the Stable Release Update for ndiswrapper has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers